import { TccErrorListener } from ".";
import { BuiltInVariables } from "../buildInVariables";
interface IStrArgs {
    source?: string;
    str?: string;
    regex?: string;
    string?: string;
    separator?: string;
    formatString?: string;
    repeat?: number;
    target?: string;
    replacement?: string;
    occurrence?: number;
    value?: any;
    format?: string;
    begin_pos?: number;
    end_pos?: number;
    time?: number;
    timezone?: string;
}
export default class BuildInStr {
    private _errorListener;
    private _intlNumberFormatter;
    private _precision;
    private _intlFormat;
    private _variables;
    constructor(errorListener: TccErrorListener, precision: number, variables: BuiltInVariables);
    pos({ source, str }: IStrArgs): number;
    trim({ source }: IStrArgs): string;
    lower({ source }: IStrArgs): string;
    match({ source, regex }: IStrArgs): string;
    split({ string, separator }: IStrArgs): import("./array").IPseudoArray;
    upper({ source }: IStrArgs): string;
    format({ formatString }: IStrArgs, args: any[]): string;
    length({ string }: IStrArgs): number;
    repeat({ source, repeat, separator }: IStrArgs, posStr: string): string | undefined;
    replace({ source, target, replacement, occurrence }: IStrArgs): string;
    contains({ source, str }: IStrArgs): boolean;
    endswith({ source, str }: IStrArgs): boolean;
    tonumber({ string }: IStrArgs): number;
    tostring({ value, format }: IStrArgs): string | undefined;
    private _arrToStr;
    substring({ source, begin_pos, end_pos }: IStrArgs): string;
    startswith({ source, str }: IStrArgs): boolean;
    format_time({ time, format, timezone }: IStrArgs): string;
    replace_all({ source, target, replacement }: IStrArgs): string;
    private _toStringFormat;
    private _numberDef;
    private _formatOthers;
    private _formatNumber;
    strformat({ formatString }: IStrArgs, args: any[], isFormat?: boolean): string;
    private _parseObjectStr;
    private _strFormat;
}
export {};
